# Holi Load Testing

Holi Load Testing is implemented using [Grafana k6](https://k6.io/docs/).

## Development

To build and run k6 with extensions for local development, follow these steps:

1. Install [Go](https://go.dev/doc/install)
2. Download xk6: `go install go.k6.io/xk6/cmd/xk6@latest`
3. Build the k6 binary with the xk6-dashboard extension: `xk6 build --with github.com/szkiba/xk6-dashboard@latest`
4. Execute k6: `./k6 run --out dashboard=open scripts/main.js`

## Installation:

### Docker

To run Holi Load Testing locally, follow these steps:

1. Clone the repository.
2. Execute `docker-compose up -d`.
3. Go to `http://127.0.0.1:5665` when the logo here below appears:

```

         /\      |‾‾| /‾‾/   /‾‾/   
    /\  /  \     |  |/  /   /  /    
   /  \/    \    |     (   /   ‾‾\  
  /          \   |  |\  \ |  (‾)  | 
 / __________ \  |__| \__\ \_____/ .io
```
